
Katello - Feature #5863

dynflow rollback needed when content host creation fails in either candlepin or pulp step

05/21/2014 07:12 PM - Thomas McKay

Status: Closed   

Priority: High   

Assignee:    

Category: Orchestration   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1100007 Red Hat JIRA:  

Pull request:    

Description

Scenario: Register a content host with an activation key that references a subscription whose quantity is already used. In this case

the candlepin dynflow will fail but the katello content host activerecord will exist. The result is an AR w/ uuid=nil and the

api/v2/systems will return no results (due to elasticsearch?

Associated revisions

Revision d98d29b7 - 05/28/2014 11:49 AM - Ivan Necas

Fixes #5863 - create consumer in plan phase

The failure is quite possible when creating a consumer in

Candlepin (mainly because of the activation key might be over-consumed

already).

Revision 71fa92b0 - 05/28/2014 12:34 PM - Ivan Necas

Merge pull request #4164 from iNecas/issue/5863

Fixes #5863 - create consumer in plan phase

History

#1 - 05/21/2014 07:12 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1100007

#2 - 05/28/2014 12:52 PM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d98d29b7248d88cc39b05e8e7d054436ff13a794.

#3 - 06/05/2014 03:35 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
